.tc-header
{
    -moz-box-shadow:0 0 10px #000;
    -webkit-box-shadow:0 0 10px #000;
    box-shadow:0 0 10px #000;
    background:linear-gradient(rgba(27,9,31,0.7) 0%,rgba(27,9,31,0.7) 50%,rgba(128,43,122,0.9) 95%, rgba(255,255,255,0.9) 100%);
    color: #fdfdfe;
    font-size: 24px;
    text-shadow: 0px 0px 2px #b393d3, 0px 0px 2px #b393d3, 0px 0px 2px #b393d3, 0px 0px 2px #b393d3;
}

/* Стилизация текста заголовка */
h1, h2, h3, h4, h5, h6 
{
    background: transparent;
    text-align: center;
    font-weight: 900;
}

/*
h1, h2, h3, h4, h5, h6
{
    font-size: 100;
}
*/

body
{
    background-image: url("https://remember.org.ua/wp-content/admin/background_remember_org_ua.jpg");
    background-color: white;
    background-size: cover;
    background-repeat: no-repeat;
}

pre
{
    background-color: #ddd5ed;
    background-color: rgba(221, 213, 237, 0.6);
    background-color: #A349A4;
    background-color: rgba(163, 73, 164, 0.6);
    background:linear-gradient(195deg,rgba(27,9,31,0.7) 0%,rgba(128,43,122,0.7) 50%,rgba(22,11,28,0.7) 100%);
    font-family: initial;
    font-weight: 800;
    color: #ffffff; 
    border-radius: 10px;
    -moz-box-shadow:0 0 10px #000;
    -webkit-box-shadow:0 0 10px #000;
    box-shadow:0 0 10px #000;
}

table 
{
    background-color: #fafafa;
    background-color: rgba(250, 250, 250, 0.6);
    max-width: 100%;
    width: 100%;
    /*width: max-content;*/
    font-weight: 800;
    font-style: oblique;
    border-radius: 10px;
    -moz-box-shadow:0 0 10px #000;
    -webkit-box-shadow:0 0 10px #000;
    box-shadow:0 0 10px #000;
}    

.table-wrapper 
{
    overflow-x: auto;
    overflow-y: hidden;
    -webkit-overflow-scrolling: touch;
    display: block;
    max-width: 100%;
    min-width: 0;
}

input
{
    border-radius: 10px;
    -moz-box-shadow:0 0 10px #000;
    -webkit-box-shadow:0 0 10px #000;
    box-shadow:0 0 10px #000;
    font-size: 24px;
}

/*
button
{
    background:linear-gradient(195deg,rgba(27,9,31,0.85) 0%,rgba(128,43,122,0.86) 50%,rgba(22,11,28,0.84) 100%);
    border-radius: 10px;
    -moz-box-shadow:0 0 10px #000;
    -webkit-box-shadow:0 0 10px #000;
    box-shadow:0 0 10px #000;
    display: block;
    width: max-content;
    margin: 0 auto;
}
*/

.center-btn-wrapper 
{
    display: flex;
    justify-content: center; /* ← центрирование */
    margin-top: 20px;
}

.center-btn 
{
    padding: 10px 25px;
    border: none;
    border-radius: 10px;
    cursor: pointer;

    background: linear-gradient(
        195deg,
        rgba(27, 9, 31, 0.85) 0%,
        rgba(128, 43, 122, 0.86) 50%,
        rgba(22, 11, 28, 0.84) 100%
    );

    font-size: 16px;
    letter-spacing: 1px;

    box-shadow: 0 0 10px #000;
    width: max-content; 
    flex-shrink: 0; /* ← ключ для нового Chrome */
}

textarea
{
    border-radius: 10px;
    -moz-box-shadow:0 0 10px #000;
    -webkit-box-shadow:0 0 10px #000;
    box-shadow:0 0 10px #000;
}

.wp-block-paragraph.has-large-font-size,
.wp-block-paragraph.has-x-large-font-size,
.wp-block-heading {
    line-height: 1.5;
    text-transform: uppercase;
    word-break: break-word;
}

p
{
    font-family: initial;
    word-break: break-word;
}

a:link 
{
    font-weight: 800;
    color: #A349A4; 
}
a:visited 
{
    font-weight: 800;
    color: #A349A4;
}
a:hover 
{
    font-weight: 800;    
    color: #A349A4; 
}
a:active 
{
    font-weight: 800;
    color: #A349A4; 
}

.hero-banner{
    position:relative;
    display:block;
    width:100%;
    max-width:900px;
    margin:30px auto;
}

.hero-banner > img{
    display:block;
    width:100%;
    height:auto;
}

.hero-banner > .hero-text{
    position:absolute;
    left:0;
    top:0;
    width:100%;
    height:100%;

    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;

    text-align:center;
    z-index:5;
}

.hero-text > a{
    color: #fecd1a;
    font-weight:100;
    -webkit-text-stroke:1px #03060d;
}

.hero-name{
    color:#03060d;
    font-weight:100;
    text-decoration:none;
    
    font-size:42px;
    line-height:1.1;

    -webkit-text-stroke:1px #fecd1a;

    text-shadow:
        0 1px 3px rgba(0,0,0,.35);
}

.hero-dates{
    color:#fecd1a;
    -webkit-text-stroke:1px #03060d;
    
    font-weight:100;
    
    margin-top:15px;
    font-size:20px;

    text-shadow:
        0 1px 3px rgba(0,0,0,.35);
}

/* Настройка карты */
#remember-map
{
    position: relative;
    z-index: 0;
}

#remember-map .leaflet-container
{
    z-index: 0;
}

/* Стилизация панели вокруг заголовка */
.title-panel {
    display: inline-block; /* Панель вокруг текста */
    background-color: #4C1E4E; /* Цвет фона панели */
    padding: 10px 20px; /* Отступы */
    border-radius: 25px; /* Округлые углы, как у кнопок */
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2); /* Лёгкая тень для объема */
    border: 2px solid #4C1E4E; /* Цвет границы*/
    transition: all 0.3s ease-in-out; /* Плавный эффект при наведении */
    margin: 20px 0; /* Отступы сверху и снизу */
}

/* Стилизация текста заголовка */
.title-panel h02 {
    color: white; /* Белый текст */
    font-family: 'Arial', sans-serif; /* Шрифт */
    font-size: 28px; /* Размер шрифта */
    margin: 0; /* Убираем отступы у заголовка */
}

/* Эффект при наведении на панель */
.title-panel:hover {
    background-color: #4C1E4E; /* Темнее при наведении */
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.3); /* Больше тени */
    transform: scale(1.05); /* Легкое увеличение панели */
}

.hytPlayerWrap 
{
    display: inline-block;
    position: relative;
}
    
.hytPlayerWrap.ended::after 
{
    content:"";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    cursor: pointer;
    background-color: black;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 64px 64px;
    background-image: url(data:image/svg+xml;utf8;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxMjgiIGhlaWdodD0iMTI4IiB2aWV3Qm94PSIwIDAgNTEwIDUxMCI+PHBhdGggZD0iTTI1NSAxMDJWMEwxMjcuNSAxMjcuNSAyNTUgMjU1VjE1M2M4NC4xNSAwIDE1MyA2OC44NSAxNTMgMTUzcy02OC44NSAxNTMtMTUzIDE1My0xNTMtNjguODUtMTUzLTE1M0g1MWMwIDExMi4yIDkxLjggMjA0IDIwNCAyMDRzMjA0LTkxLjggMjA0LTIwNC05MS44LTIwNC0yMDQtMjA0eiIgZmlsbD0iI0ZGRiIvPjwvc3ZnPg==);
}
    
.hytPlayerWrap.paused::after 
{
    content:"";
    position: absolute;
    top: 70px;
    left: 0;
    bottom: 50px;
    right: 0;
    cursor: pointer;
    background-color: black;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 40px 40px;
    background-image: url(data:image/svg+xml;utf8;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZlcnNpb249IjEiIHdpZHRoPSIxNzA2LjY2NyIgaGVpZ2h0PSIxNzA2LjY2NyIgdmlld0JveD0iMCAwIDEyODAgMTI4MCI+PHBhdGggZD0iTTE1Ny42MzUgMi45ODRMMTI2MC45NzkgNjQwIDE1Ny42MzUgMTI3Ny4wMTZ6IiBmaWxsPSIjZmZmIi8+PC9zdmc+);
}